<?php

/**
  phpSQLiteAdmin is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.

  phpSQLiteAdmin is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with phpSQLiteAdmin; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  Copyright 2004 Richard Heyes
  Copyright 2006-2011 Marius Stanciu <marius@userdot.net>
 */

/**
 * Enter description here...
 *
 * @package		phpSQLiteAdmin
 * @subpackage          Core
 * @author		Marius Stanciu Sergiu <marius@userdot.net>
 * @copyright           Copyright (c) 2006-2011, UserDot www.userdot.net
 * @link		http://www.userdot.net/projects/phpsqliteadmin
 * @since		Version 0.1.0
 */
class authentication_sqlite extends authentication
{

    function authenticate($username, $password)
    {
        global $config;
        $authConfig = $config['authentication'];
        $database = !empty($authConfig['database']) ? $authConfig['database'] : 'config/auth.db';
        $table = !empty($authConfig['table']) ? $authConfig['table'] : 'users';
        $userCol = !empty($authConfig['username_column']) ? $authConfig['username_column'] : 'username';
        $passCol = !empty($authConfig['password_column']) ? $authConfig['password_column'] : 'password';
        $passMD5 = !empty($authConfig['password_md5']) ? $authConfig['password_md5'] : false;
        $db = &database::factory(array('type' => 'sqlite', 'dbas' => $database));
        $username = $db->quote($username);
        $password = $passMD5 ? md5($password) : $password;
        if ($db)
        {
            $dbPass = $db->get_one($s = "SELECT $passCol FROM $table WHERE $userCol = $username");
            return $password === $dbPass;
        }
        return false;
    }

}