<div id="newtabs">
    <ul>
        <li><a href="#tabs-info"><?php echo common::lang('Info') ?></a></li>
        <li><a href="#tabs-db"><?php echo common::lang('Databases') ?></a></li>
    </ul>
    <div id="tabs-info">
        <table border="0" style="width:100%" class="results">
            <tr>
                <td width="200"><?php echo common::lang('phpSQLiteAdmin version') ?></td>
                <td>
                    <b><?php echo $config['version']; ?> - <a target="_blank" href="http://www.userdot.net/projects/phpsqliteadmin">check for new version</a></b>
                </td>
            </tr>
            <tr>
                <td width="200"><?php echo common::lang('SQLite Library Version') ?></td>
                <td>
                    <b><?php echo $libVersion; ?></b>
                </td>
            </tr>
            <tr>
                <td><?php echo common::lang('SQLite Encoding') ?></td>
                <td>
                    <b><?php echo $libEncoding; ?></b>
                </td>
            </tr>
            <tr>
                <td><?php echo common::lang('PHP version') ?></td>
                <td>
                    <b><?php echo $phpVersion; ?></b>
                </td>
            </tr>
            <tr>
                <td><?php echo common::lang('Webserver') ?></td>
                <td>
                    <b><?php echo $webserver; ?></b>
                </td>
            </tr>
            <tr>
                <td><?php echo common::lang('Operating System') ?></td>
                <td>
                    <b><?php echo $OS; ?></b>
                </td>
            </tr>
        </table>
    </div>
    <div id="tabs-db">
        <table border="0" style="width:100%" class="db">
            <tr height="25">
                <th><?php echo common::lang('Name') ?></th>
                <th><?php echo common::lang('Description') ?></th>
                <th><?php echo common::lang('Path') ?></th>
                <th width="100"><?php echo common::lang('Exists') ?></th>
                <th width="100"><?php echo common::lang('Writeable') ?></th>
            </tr>
            <?php
            if (!empty($databases))
            {
                foreach ($databases as $d)
                {
                    ?>
                    <tr height="25">
                        <td style="width:130px"><?php echo $d['name']; ?></td>
                        <td style="width:300px"><?php echo $d['desc']; ?></td>
                        <td style="width:300px"><?php echo $d['path']; ?></td>
                        <td align="center"><?php echo ($d['exists'] ? '<img src="images/checked.png" alt="' . common::lang('Yes') . '" />' : '<img src="images/unchecked.png" alt="' . common::lang('No') . '" />'); ?></td>
                        <td align="center"><?php echo ($d['writeable'] ? '<img src="images/checked.png" alt="' . common::lang('Yes') . '" />' : '<img src="images/unchecked.png" alt="' . common::lang('No') . '" />'); ?></td>
                    </tr>
                    <?php
                }
            }
            ?>
        </table>
    </div>
</div>